Bug 210629 - multimedia/cx88: Update to 1.5.0
Summary: multimedia/cx88: Update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-27 14:53 UTC by jason.harmening
Modified: 2016-07-03 17:48 UTC (History)
2 users (show)

See Also:
jason.harmening: maintainer-feedback+


Attachments
proposed update (2.82 KB, text/plain)
2016-06-27 14:53 UTC, jason.harmening
no flags Details
updated patch (2.36 KB, patch)
2016-06-28 05:19 UTC, jason.harmening
no flags Details | Diff
Updated patch (2) (2.36 KB, patch)
2016-06-28 15:34 UTC, jason.harmening
no flags Details | Diff
updated patch (2.36 KB, patch)
2016-07-03 17:05 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2016-06-27 14:53:18 UTC
Created attachment 171872 [details]
proposed update

--Support only user-allocated DMA buffers due to security issues w/ kernel buffers + mmap
--Collapse cx88i2c.ko into cx88.ko
--Use iic(4) instead of iicdev on FreeBSD 10.3+
--implement framework for analog video support on cx23885/7/8 (not currently enabled)
--various other cleanups and fixes
Comment 1 Dmitry Marakasov freebsd_committer 2016-06-27 16:36:07 UTC
The patch does not apply cleanly presumably due to $FreeBSD$ line change, please use SVN to generate the patch. Also,

===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/iicdev/iicdev_ioctl.h
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.

and it would be nice to keep plist sorted.
Comment 2 jason.harmening 2016-06-28 05:19:06 UTC
Created attachment 171902 [details]
updated patch

Oops, I should've re-validated after removing the header.  Updated build no longer tries to install iicdev_ioctl.h
Comment 3 Dmitry Marakasov freebsd_committer 2016-06-28 15:27:33 UTC
Does not build on 9.x:

cc -O2 -pipe -isystem /usr/local/include -fno-strict-aliasing -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I../common -I. -I@ -I@/contrib/altq -finline-limit=8000 --param inline-unit-growth=100 --param large-function-growth=1000 -fno-common  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer  -mcmodel=kernel -mno-red-zone -mno-mmx -mno-sse -msoft-float  -fno-asynchronous-unwind-tables -ffreestanding -fstack-protector -std=iso9899:1999  -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -Wundef -Wno-pointer-sign -fformat-extensions  -Wmissing-include-dirs -fdiagnostics-show-option   -c cx88_video.c
cc1: warnings being treated as errors
cx88_video.c:33: warning: redundant redeclaration of 'cx88_video_reconfigure' [-Wredundant-decls]
cx88_video.c:32: warning: previous declaration of 'cx88_video_reconfigure' was here
*** [cx88_video.o] Error code 1

Stop in /wrkdirs/usr/ports/multimedia/cx88/work/cx88-1.5.0/video.
*** [all] Error code 1

Stop in /wrkdirs/usr/ports/multimedia/cx88/work/cx88-1.5.0.
*** [do-build] Error code 1

Stop in /usr/ports/multimedia/cx88.
Comment 4 jason.harmening 2016-06-28 15:34:09 UTC
Created attachment 171913 [details]
Updated patch (2)

fix build warning w/ older compilers
Comment 5 Thomas Zander freebsd_committer 2016-07-03 12:43:01 UTC
(In reply to jason.harmening from comment #4)

Still does not build:

cc -O2 -pipe -isystem /usr/local/include -fno-strict-aliasing -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I../common -I../mpeg -I../audio -I../video -I./avcore -I. -I@ -I@/contrib/altq -finline-limit=8000 --param inline-unit-growth=100 --param large-function-growth=1000 -fno-common   -mno-align-long-strings -mpreferred-stack-boundary=2 -mno-mmx -mno-sse -msoft-float -ffreestanding -fstack-protector -std=iso9899:1999  -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -Wundef -Wno-pointer-sign -fformat-extensions  -Wmissing-include-dirs -fdiagnostics-show-option   -c cx23885.c
cc1: warnings being treated as errors
cx23885.c:47: warning: declaration does not declare anything
cx23885.c: In function 'cx23885_enable_streams':
cx23885.c:264: error: 'cx23885_softc' has no member named 'ts1'
cx23885.c:288: error: 'cx23885_softc' has no member named 'video2'
cx23885.c: In function 'cx23885_disable_streams':
cx23885.c:303: error: 'cx23885_softc' has no member named 'ts1'
cx23885.c:324: error: 'cx23885_softc' has no member named 'video2'
cx23885.c: In function 'cx23885_intr':
cx23885.c:350: error: 'cx23885_softc' has no member named 'ts1'
cx23885.c:355: error: 'cx23885_softc' has no member named 'video2'
cx23885.c: In function 'cx23885_shutdown':
cx23885.c:454: error: 'cx23885_softc' has no member named 'ts1'
cx23885.c:474: error: 'cx23885_softc' has no member named 'video2'
cx23885.c: In function 'cx23885_suspend':
cx23885.c:486: error: 'cx23885_softc' has no member named 'ts1'
cx23885.c:506: error: 'cx23885_softc' has no member named 'video2'
*** [cx23885.o] Error code 1

Stop in /wrkdirs/usr/ports/multimedia/cx88/work/cx88-1.5.0/cx23885.
*** [all] Error code 1

Stop in /wrkdirs/usr/ports/multimedia/cx88/work/cx88-1.5.0.
*** [do-build] Error code 1

Stop in /usr/ports/multimedia/cx88.
Comment 6 jason.harmening 2016-07-03 17:05:47 UTC
Created attachment 172066 [details]
updated patch

--de-anonymize union to fix build w/ older compilers
--set up a 9.3R poudriere jail, fixed a couple of other old-compiler warnings
Comment 7 commit-hook freebsd_committer 2016-07-03 17:45:47 UTC
A commit references this bug:

Author: riggs
Date: Sun Jul  3 17:44:49 UTC 2016
New revision: 417981
URL: https://svnweb.freebsd.org/changeset/ports/417981

Log:
  Update to upstream version 1.5.0

  PR:		210629
  Submitted by:	jason.harmening@gmail.com (maintainer)

Changes:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo
  head/multimedia/cx88/pkg-plist
Comment 8 Thomas Zander freebsd_committer 2016-07-03 17:48:12 UTC
Thanks for resolving the issue so quickly!